let main () =
 if Array.length Sys.argv <> 4 then begin
  Printf.printf "usage: %s [compress|expand] infile outfile\n" Sys.argv.(0);
  exit 1
 end;
 if Sys.argv.(1) = "expand" then
  Huffman.expand Sys.argv.(2) Sys.argv.(3)
 else
  Huffman.compress Sys.argv.(2) Sys.argv.(3)
;;

main ()
