type t = int

let pow2 n = IntLst.prod(Lst.init 2 n)

let to_strng i b =
 if b < 2 || b > 10 then failwith "invalid base" else (
  let z = int_of_char '0' in
  let rec to_strng r i =
   if i = 0 then r
            else to_strng (char_of_int(i mod b + z)::r) (i/b)
  in
  to_strng [] i
 )
